/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Copyright (c) 2009 Hewlett-Packard, Inc. All rights reserved.
 * Use is subject to license terms.
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */
package com.hp.opencall.jmsc.test.mandatory;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * This is a JUnit test suite that groups all the mandatory testcases.
 *
 */
public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite("All mandatory testcases of the JSR 309 TCK");
		suite.addTest(com.hp.opencall.jmsc.test.mandatory.functional.AllTests.suite());
		suite.addTest(com.hp.opencall.jmsc.test.mandatory.robustness.AllTests.suite());
		return suite;
	}
}
