/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Copyright (c) 2008-2009 Hewlett-Packard, Inc. All rights reserved.
 * Use is subject to license terms.
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */
package com.hp.opencall.jmsc.test.mandatory.robustness.MSFaultTestServer;

import javax.sip.RequestEvent;
import javax.sip.ServerTransaction;
import javax.sip.SipProvider;
import javax.sip.message.Request;
import javax.sip.message.Response;



public class Test_2_2_5_2_MediaServerRejectSDP extends SIPServer_Base {

	public static void main(String args[]) {
		new Test_2_2_5_2_MediaServerRejectSDP().init();
	}
	
	public void processInvite(RequestEvent requestEvent,
		ServerTransaction serverTransaction) {
		SipProvider sipProvider = (SipProvider) requestEvent.getSource();
		Request request = requestEvent.getRequest();
		try {
			System.out.println("MS: got an Invite sending Trying");
			// System.out.println("shootme: " + request);
			Response response = messageFactory.createResponse(Response.UNSUPPORTED_MEDIA_TYPE,
					request);
			ServerTransaction st = requestEvent.getServerTransaction();

			if (st == null) {
				st = sipProvider.getNewServerTransaction(request);
			}
			st.sendResponse(response);

		} catch (Exception ex) {
			ex.printStackTrace();
			System.exit(0);
		}
	}

}
